// header for OSPF_Packet_Base.cpp

#ifndef deftestip
 #include "IP.h"
#endif

#define	deftestospfh

//Packet Types
#define LINK_STATE_UPDATE 4
#define LINK_STATE_ACKNOWLEDGEMENT 5

class OSPF_Header 
{
 public:
  OSPF_Header();
  ~OSPF_Header();
  OSPF_Header & operator=(OSPF_Header &right);
  IP getRouter();
  int set(char typ, unsigned short length, IP router);
  int set(char typ, unsigned short length);
  unsigned short getLength();
  int setLength(unsigned short l);
  char getType();

  // Data Members for Class Attributes
 private:   
  char version;//always set to 2
  char type;
  unsigned short packet_Length;
  IP router_ID;
  IP area_ID;//always set to 0.0.0.0
  short checksum;//always set to zero
  short au_Type;//always set to zero
  int authentication1;//always set to zero
  int authentication2;//always set to zero
};
